﻿using System;
using System.Web.UI;

namespace Haack.Web {
    public class MyPageParserFilter : PageParserFilter {
        public override bool ProcessCodeConstruct(CodeConstructType codeType
          , string code) {
            if (codeType == CodeConstructType.ScriptTag) {
                throw new InvalidOperationException("Say NO to server script blocks!");
            }
            return base.ProcessCodeConstruct(codeType, code);
        }

        public override bool AllowCode {
            get {
                return true;
            }
        }

        public override bool AllowControl(Type controlType, ControlBuilder builder) {
            return true;
        }

        public override bool AllowBaseType(Type baseType) {
            return true;
        }

        public override bool AllowServerSideInclude(string includeVirtualPath) {
            return true;
        }

        public override bool AllowVirtualReference(string referenceVirtualPath, VirtualReferenceType referenceType) {
            return true;
        }

        public override int NumberOfControlsAllowed {
            get {
                return int.MaxValue;
            }
        }

        public override int NumberOfDirectDependenciesAllowed {
            get {
                return int.MaxValue;
            }
        }
    }
}